Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.stc.connector.comadapter.comruntimeimpl
Class STCUnknownImpl

    java.lang.Object
      com.stc.connector.comadapter.comruntimeimpl.STCUnknownImpl

All Implemented Interfaces:
  STCIUnknown

Direct Known Subclasses:
  STCDispatchDriver

    public class STCUnknownImpl

extends java.lang.Object
implements STCIUnknown

STCIUnknownImpl handles the Release method of the STCIUnknown interface.

Constructor Summary
`STCUnknownImpl(int handle)` The integer parameter is the COM interface handle from C++.

Method Summary
`void` | `AddRef()` Calls the AddRef method on the underlying COM interface.
`boolean` | `isValid()` Checks if there is a handle.
`void` | `Release()` Calls the Release method on the underlying COM interface.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### STCUnknownImpl

    public STCUnknownImpl(int handle)

  The integer parameter is the COM interface handle from C++.

Method Detail

### AddRef

    public void AddRef()
                throws STCComException

  Calls the AddRef method on the underlying COM interface.

  Parameters:
    None.

  Specified by:
    `AddRef` in interface `STCIUnknown`
  Throws:
    `STCComException` - when the AddRef() fails.

### Release

    public void Release()

  Calls the Release method on the underlying COM interface.

  Parameters:
    None.

  Specified by:
    `Release` in interface `STCIUnknown`

### isValid

    public boolean isValid()

  Checks if there is a handle.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Sun Adapter for COM/DCOM API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Sun Microsystems, Inc. All rights reserved.